.\" Process this file with
.\" groff -man -Tutf8 row4t-en.man
.\"
.
.TH "row4t" 6 2023-01-09
.
.SH NAME
row4t \- vertical board game: Four in a row
.
.SH SYNOPSIS
.BI "row4g [" Options ]
.br
.BI "row4t [" Options ]
.
.SH DESCRIPTION
.
This is a vertical board game.
The program
.B row4g
is a graphical program. It needs SDL2.
The program
.B row4t
is a text based program.
It eventually needs a terminal
(depending on the operating system).
.PP
At the start you are asked for the number of players.
Choose "2" to play with a friend,
or "1" if you don't have any friends.
.PP
The grit is set up vertically and you can drop chips into the slots.
Your goal is to get four chips in a row. This can be vertically or
horizontally or diagonally. The game can also end with a draw, when
all columns are full and nobody has won.
.PP
You can use the keyboard or on most systems the mouse to control the
program.
.PP
Have fun!
.
.SH OPTIONS
.
.TP
-h
.TQ
--help
show a short help
.TP
-l
.TQ
--version
show the license
.TP
-e
English
.TP
-d
German
.SS
Options just for the terminal version row4t.
.TP
-v
.TQ
--vt100
try to use the DEC special graphics charset for the board
.TP
-u
.TQ
--utf8
use UTF-8 to draw the board
.TP
-a
.TQ
--ascii
use plain ASCII to draw the board
.PP
Use the options -v, -u, -a if the board isn't shown correctly.
These options are ignored on some systems.
.
.SH COPYRIGHT
.
Copyright \(co 2016-2023 Andreas K. F\[:o]rster
.PP
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
.PP
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.
.PP
You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
.PP
.
.SH "SEE ALSO"
https://akfoerster.de/p/row4/
